cdac.medinfo.sdk.hl7282.baselibs.segments

## Class MFI

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.MFI

- All Implemented Interfaces:
    ISegment

      public class MFI
      extends Segment

  MFI - Master File Identification Segment

  The Technical Steward for the MFI segment is CQ.

  Represents an HL7 MFI message segment. This segment has the following fields:

  MFI-1: Master File Identifier (CWE)Required
  MFI-2: Master File Application Identifier (HD)Optional
  MFI-3: File-Level Event Code (ID)Required
  MFI-4: Entered Date/Time (DTM)Optional
  MFI-5: Effective Date/Time (DTM)Optional
  MFI-6: Response Level Code (ID)Required

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MFI()` Constructs the MFI segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DTM` | `getEffectiveDateTime()` Retrieves the Effective Date Time.
    `DTM` | `getEnteredDateTime()` Retrieves the Entered Date Time.
    `ID` | `getFileLevelEventCode()` Retrieves the File Level Event Code.
    `HD` | `getMasterFileApplicationIdentifier()` Retrieves the Master File Application Identifier.
    `CWE` | `getMasterFileIdentifier()` Retrieves the Master File Identifier.
    `ID` | `getResponseLevelCode()` Retrieves the Response Level Code.
    `void` | `setEffectiveDateTime(DTM objeffectiveDateTime)` Set the Effective Date Time.
    `void` | `setEffectiveDateTime(java.lang.String strTime)` Set the Effective Date Time.
    `void` | `setEnteredDateTime(DTM objenteredDateTime)` Set the Entered Date Time.
    `void` | `setEnteredDateTime(java.lang.String strTime)` Set the Entered Date Time.
    `void` | `setFileLevelEventCode(ID objfileLevelEventCode)` Set the File Level Event Code.
    `void` | `setFileLevelEventCode(java.lang.String strFileLevelEventCode)` Set the File Level Event Code.
    `void` | `setMasterFileApplicationIdentifier(HD objmasterFileApplicationIdentifier)` Set the Master File Application Identifier.
    `void` | `setMasterFileApplicationIdentifier(java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set the Master File Application Identifier.
    `void` | `setMasterFileIdentifier(CWE objmasterFileIdentifier)` Set the Master File Identifier.
    `void` | `setMasterFileIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Master File Identifier.
    `void` | `setResponseLevelCode(ID objresponseLevelCode)` Set the Response Level Code.
    `void` | `setResponseLevelCode(java.lang.String strFileLevelEventCode)` Set the Response Level Code.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MFI

          public MFI()

      Constructs the MFI segment.

  - ### Method Detail

    - #### getEffectiveDateTime

          public DTM getEffectiveDateTime()

      Retrieves the Effective Date Time. This field contains the effective date/time, which can be included for file-level action specified.
      Returns:
        DTM - effectiveDateTime

    - #### getEnteredDateTime

          public DTM getEnteredDateTime()

      Retrieves the Entered Date Time. This field contains the time stamp for file-level event on originating system.
      Returns:
        DTM - enteredDateTime

    - #### getFileLevelEventCode

          public ID getFileLevelEventCode()

      Retrieves the File Level Event Code. This field defines the file-level event code.
      Returns:
        ID - fileLevelEventCode

    - #### getMasterFileApplicationIdentifier

          public HD getMasterFileApplicationIdentifier()

      Retrieves the Master File Application Identifier. This field contains an optional code of up to 180 characters which (if applicable) uniquely identifies the application responsible for maintaining this file at a particular site.
      Returns:
        HD - masterFileApplicationIdentifier

    - #### getMasterFileIdentifier

          public CWE getMasterFileIdentifier()

      Retrieves the Master File Identifier. This field identify a standard HL7 master file.
      Returns:
        CWE - masterFileIdentifier

    - #### getResponseLevelCode

          public ID getResponseLevelCode()

      Retrieves the Response Level Code. This field specify the application response level defined for a given Master File Message at the MFE segment level.
      Returns:
        ID - responseLevelCode

    - #### setMasterFileIdentifier

          public void setMasterFileIdentifier(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Master File Identifier. This field identify a standard HL7 master file.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setMasterFileIdentifier

          public void setMasterFileIdentifier(CWE objmasterFileIdentifier)

      Set the Master File Identifier. This field identify a standard HL7 master file.
      Parameters:
        `objmasterFileIdentifier` - Object of Master File Identifier.

    - #### setMasterFileApplicationIdentifier

          public void setMasterFileApplicationIdentifier(java.lang.String strNamespaceID,
                                                java.lang.String strUniversalID,
                                                java.lang.String strUniversalIDType)

      Set the Master File Application Identifier. This field contains an optional code of up to 180 characters which (if applicable) uniquely identifies the application responsible for maintaining this file at a particular site.
      Parameters:
        `strNamespaceID` - Specifies Specifies the HL7 identifier for the user-defined table of values for this component.[Refer Table No.300]
        `strUniversalID` - Specifies a string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIDType` - Governs the interpretation of the strUniversalId.

    - #### setMasterFileApplicationIdentifier

          public void setMasterFileApplicationIdentifier(HD objmasterFileApplicationIdentifier)

      Set the Master File Application Identifier. This field contains an optional code of up to 180 characters which (if applicable) uniquely identifies the application responsible for maintaining this file at a particular site.
      Parameters:
        `objmasterFileApplicationIdentifier` - Object of Master File Application Identifier.

    - #### setFileLevelEventCode

          public void setFileLevelEventCode(java.lang.String strFileLevelEventCode)

      Set the File Level Event Code. This field defines the file-level event code.
      Parameters:
        `strFileLevelEventCode` - This field defines the file-level event code.

    - #### setFileLevelEventCode

          public void setFileLevelEventCode(ID objfileLevelEventCode)

      Set the File Level Event Code. This field defines the file-level event code.
      Parameters:
        `objfileLevelEventCode` - Object of File Level Event Code.

    - #### setEnteredDateTime

          public void setEnteredDateTime(java.lang.String strTime)

      Set the Entered Date Time. This field contains the time stamp for file-level event on originating system.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setEnteredDateTime

          public void setEnteredDateTime(DTM objenteredDateTime)

      Set the Entered Date Time. This field contains the time stamp for file-level event on originating system.
      Parameters:
        `objenteredDateTime` - Object of Entered Date Time.

    - #### setEffectiveDateTime

          public void setEffectiveDateTime(java.lang.String strTime)

      Set the Effective Date Time. This field contains the effective date/time, which can be included for file-level action specified.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setEffectiveDateTime

          public void setEffectiveDateTime(DTM objeffectiveDateTime)

      Set the Effective Date Time. This field contains the effective date/time, which can be included for file-level action specified.
      Parameters:
        `objeffectiveDateTime` - Object of Effective Date Time.

    - #### setResponseLevelCode

          public void setResponseLevelCode(java.lang.String strFileLevelEventCode)

      Set the Response Level Code. This field specify the application response level defined for a given Master File Message at the MFE segment level.
      Parameters:
        `strFileLevelEventCode` - This field defines the Response Level Code.

    - #### setResponseLevelCode

          public void setResponseLevelCode(ID objresponseLevelCode)

      Set the Response Level Code. This field specify the application response level defined for a given Master File Message at the MFE segment level.
      Parameters:
        `objresponseLevelCode` - Object of the Response Level Code.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails